# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install ladspa_sdk libgtk+2-devel pkgconfig(alsa)
# END SourceDeps(oneline)
Summary:      DSSI software synthesizer plugin
Name:         whysynth-dssi
Version:      20120903
Release:      alt1_1
URL:          http://www.smbolton.com/whysynth.html
Source0:      http://www.smbolton.com/whysynth/whysynth-%{version}.tar.bz2
Source2:      whysynth.desktop
Patch0:       whysynth-noinline.patch
License:      GPLv2+
Group:        Sound

BuildRequires: desktop-file-utils
BuildRequires: dssi-devel
BuildRequires: gtk2-devel
BuildRequires: libfftw3-devel
BuildRequires: liblo-devel

Requires:     dssi
Requires:     icon-theme-hicolor
Source44: import.info



%description
WhySynth is a versatile softsynth which operates as a plugin for the Disposable
Soft Synth Interface (DSSI).

%prep
%setup -q -n whysynth-%{version}
%patch0 -p1 -b .noinline

%build
%configure

make %{?_smp_mflags}

%install
make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT%{_bindir}
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s jack-dssi-host whysynth
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install           \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE2}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -pm 644 extra/whysynth-icon-32x32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/whysynth.png

%files
%doc AUTHORS ChangeLog COPYING doc README TODO extra/COPYING-patches
%{_datadir}/whysynth
%{_bindir}/whysynth
%{_libdir}/dssi/*
%exclude %{_libdir}/dssi/whysynth.la
%{_datadir}/applications/whysynth.desktop
%{_datadir}/icons/hicolor/32x32/apps/whysynth.png

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 20120903-alt1_1
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 20120729-alt2_6
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 20120729-alt2_5
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 20120729-alt2_4
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 20120729-alt2_3
- update to new release by fcimport

* Fri Jun 21 2013 Cronbuild Service <cronbuild@altlinux.org> 20120729-alt2_2
- rebuild to get rid of unmets

* Tue Mar 26 2013 Igor Vlasenko <viy@altlinux.ru> 20120729-alt1_2
- import

